header, footer {
    display: none;
}

body {
    display: flex;
}

aside {
    display: flex;
    flex-flow: row nowrap;
    flex-basis: 33vh;

    >div:nth-child(1) {
        display: flex;
        flex-direction: column;
        flex-basis: 33vh;

        nav, section {
            display: flex;
            flex-basis: 33vh;
            align-items: center;
            justify-content: center;
        }
        
        nav {
            flex-direction: column;
            >ol {
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;
                align-items: center;
                flex-basis: 27vh;

                >li>a {
                    font-size: 1.5em;
                }
            }
        }

        section.social {
            display: flex;
            flex-flow: column nowrap;

            >div {

                display: flex;
                flex-flow: column nowrap;
                justify-content: space-evenly;
                flex-basis: 28vh;
                padding-left: 2vh;
    
                >div {
                    justify-content: flex-start;
                    display: flex;
                    flex-flow: row nowrap;
                    align-items: flex-start;
                    flex-basis: 4vh;
                    width: 100%;

                    >a:nth-child(1) {
                        width: 3vh;
                    }

                    >div:nth-child(2) {
                        width: 2vh;
                    }

                    >a:nth-child(3) {
                        font-family: "Sawarabi Mincho", "Times New Roman", serif;
                        font-style: italic;
                        font-size: 0.7em;
                        letter-spacing: 0.15em;
                        padding-top: 0.3vh;
                    }
    
                }
    
                a {
                    color: black;
                }
            }
        }
    }

    >div:nth-child(2) {
        display: flex;
        flex-basis: 1vh;
        flex-grow: 1;
        flex-shrink: 0;
        >svg {
            transform: scaleY(-1);
        }
    }
}

main {
    flex-basis: 0;
    flex-grow: 1;
    height: 100%;
}